%define uname	thermalmonitor

Name:		plasma-thermalmonitor
Version:	0.2.3
Release:	%mkrel 2
Summary:	Plasma applet for monitoring CPU, GPU and other available temperature sensors
Group:		Graphical desktop/KDE
License:	MIT
Url:		https://github.com/olib14/thermalmonitor
Source0:	https://github.com/olib14/thermalmonitor/archive/v%{version}/%{uname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)

BuildRequires:	cmake(Plasma)

BuildRequires:	gettext-devel

Requires:	ksystemstats
Requires:	ksysguard
Requires:	kitemmodels
Requires:	kdeclarative
Requires:	plasma-workspace

Obsoletes:	plasma-applet-thermal-monitor < 1.3.0-4
Provides:	plasma-applet-thermal-monitor

%description
Plasma applet for monitoring CPU, GPU and other available
temperature sensors.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_kf6_metainfodir}/org.kde.olib.thermalmonitor.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.olib.thermalmonitor/


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.2.3-2.mga10
+ Revision: 2235756
- Mageia 10 Mass Rebuild

* Fri Feb 07 2025 daviddavid <daviddavid> 0.2.3-1.mga10
+ Revision: 2146030
- new version: 0.2.3

* Sun Jun 16 2024 daviddavid <daviddavid> 0.1.5-1.mga10
+ Revision: 2074562
- new version: 0.1.5

* Wed Jan 10 2024 daviddavid <daviddavid> 0.1.3-1.mga10
+ Revision: 2029408
- new version: 0.1.3
- switch to Kf6/Qt6

* Thu Aug 31 2023 daviddavid <daviddavid> 0.1.1-1.mga10
+ Revision: 1982087
- initial package plasma-thermalmonitor (a replacement for plasma-applet-thermal-monitor)

